%define major 2
%define pilot_link_version 0.12.0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	GNOME Pilot programs
Name:		gnome-pilot
Version: 2.0.17
Release:	%mkrel 7
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.0.15-2mdv fix version field in pc file
Patch0:		gnome-pilot-2.0.15-fixversion.patch
#gw don't link the gnome-pilot libs with hal or libglade
Patch1:		gnome-pilot-2.0.17-fix-linking.patch
Patch2:		gnome-pilot-2.0.17-format-strings.patch
URL:		http://www.gnome.org/projects/gnome-pilot/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: pilot-link-devel >= %{pilot_link_version}
BuildRequires: libgnomeui2-devel
BuildRequires: libpanel-applet-devel
BuildRequires: scrollkeeper
BuildRequires: automake
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: hal-devel
BuildRequires: gob2
BuildRequires: libglade2-devel

Requires(post): scrollkeeper desktop-file-utils
Requires(postun): scrollkeeper desktop-file-utils

%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot (tm).

%package -n %{libname}

Summary:	GNOME pilot libraries
Group:		System/Libraries

%description -n %{libname}
GNOME-Pilot libraries 

%package -n %{develname}
Summary:	GNOME pilot libraries, includes, etc
Group:		Development/GNOME and GTK+
Requires: 	%{name} = %{version}
Requires:	%{libname} = %{version}
Requires:	pilot-link-devel >= %{pilot_link_version}
Obsoletes:	%{name}-devel < %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gnome-pilot2-devel < 2.0.17-7

%description -n %{develname}
gpilotd libraries and includes.

%prep
%setup -q
%patch0 -p1 -b .fixversion
%patch1 -p1 -b .fix-linking
%patch2 -p1
autoreconf -fi

%build
%configure2_5x --enable-usb --enable-vfs --enable-network --with-hal
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-gpilot-install-file.desktop << EOF
[Desktop Entry]
Name=GNOME Pilot Install Databases
Comment=Install Databases on your Palm Pilot
Exec=gpilot-install-file %U
Icon=gnome-palm
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/x-palm-database;
Categories=GNOME;GTK;TelephonyTools;Utility;
Hidden=true
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gpilotd-control-applet.desktop 

%{find_lang} %{name} --with-gnome

# remove unpackaged files
find $RPM_BUILD_ROOT -name *.a | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%define gconf_schemas pilot

%if %mdkversion < 200900
%post
%{update_menus}
%post_install_gconf_schemas %gconf_schemas
%update_scrollkeeper
%update_desktop_database
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%preun
%preun_uninstall_gconf_schemas %gconf_schemas

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_scrollkeeper
%clean_desktop_database
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/pilot.schemas
%{_bindir}/*
%{_libexecdir}/gpilotd
%{_libexecdir}/gpilot-applet
%{_libdir}/bonobo/servers/*
%dir %{_libdir}/gnome-pilot
%dir %{_libdir}/gnome-pilot/conduits
%{_libdir}/gnome-pilot/conduits/*.so*
%{_libdir}/gnome-pilot/conduits/*.la
%{_datadir}/gnome-pilot
%{_datadir}/idl/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%_datadir/applications/*.desktop
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*


%changelog
* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 2.0.17-7mdv2010.1
+ Revision: 506941
- new devel package policy

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 2.0.17-6mdv2010.0
+ Revision: 439568
- update build deps
- rebuild for new libusb

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.0.17-5mdv2010.0
+ Revision: 414879
- improve linking, don't link libs with libglade

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.0.17-4mdv2010.0
+ Revision: 414792
- readd libtool archives, it is Mandriva policy to keep them

* Tue Aug 11 2009 Funda Wang <fwang@mandriva.org> 2.0.17-3mdv2010.0
+ Revision: 414685
- drop unused *.la files (which causes linking error with our default ldflags)

* Tue May 19 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0.17-2mdv2010.0
+ Revision: 377581
- Make sure newer libtool files are used after running autoreconf

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 2.0.17-2mdv2009.1
+ Revision: 331689
- fix linking with hal

* Thu Jan 08 2009 Götz Waschk <waschk@mandriva.org> 2.0.17-1mdv2009.1
+ Revision: 327028
- new version
- drop patch 1
- fix format strings
- update license

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.16-3mdv2009.1
+ Revision: 301531
- rebuilt against new libxcb

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.16-2mdv2009.0
+ Revision: 222551
- buildrequires libglade2-devel

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Mar 21 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0.16-1mdv2008.1
+ Revision: 189419
- Patch1: fix detection of Palm with latest HAL

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop patch 1

* Mon Feb 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0.15-5mdv2008.1
+ Revision: 162156
- Patch1 (SVN): fix unresolved symbols (SVN) (GNOME bug #431145)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Funda Wang <fwang@mandriva.org> 2.0.15-4mdv2008.1
+ Revision: 116714
- drop old menu

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Aug 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0.15-2mdv2008.0
+ Revision: 59886
- Reupload 2.0.15 in svn
- Patch0: fix version in .pc file, allow package to be built


* Tue Sep 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.14-2mdv2007.0
- Rebuild with latest ncurses

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.14-1mdv2007.0
- Release 2.0.14 final

* Wed Aug 30 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.14-0.pre6.1mdv2007.0
- Release 2.0.14pre6
- remove patch0, merged upstream

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 2.0.13-7mdv2007.0
- xdg menu

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.13-6mdk
- Use mkrel
- Fix package uninstall

* Fri Dec 30 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0.13-5mdk
- Rebuild

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 2.0.13-4mdk
- rebuild to remove glitz dep

* Thu Aug 18 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.13-3mdk
- add BuildRequires: intltool

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0.13-2mdk 
- Patch1: fix libdir for use on x86-64

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 2.0.13-1mdk
- fix the menu
- replace prereq tag
- New release 2.0.13

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.12-3mdk
- rebuild to sync up with x86_64 tree and current cooker env, aka no
  more indent in orbit-idl

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.12-2mdk 
- Rebuild with latest howl

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.12-1mdk
- New release 2.0.12
- Remove patches 3, 4, 5 (merged upstream)
- Patch0: add support for Zire72 (Mdk bug #12502)

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.11-4mdk
- Patch5 (CVS): fix crash when using gpilot-install-file
- add default action for installing prc/pdb

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.11-3mdk
- Update patch3 to fully handle non ASCII username
- Patch4 : Fix sync on all new USB devices

* Sat Aug 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.11-2mdk
- add BuildRequires: perl-XML-Parser

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.11-1mdk
- Release 2.0.11
- Remove patches 2, 4, 7 (merged upstream), 5, 6 (obsolete)

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-8mdk
- Update patch4 with correct id for Treo 600 (found by Christophe Mertz)
- Patch7 : fix build with gcc 3.4

* Fri Feb 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-7mdk
- Patch6 : fix crash when /proc/bus/usb is not mounted

* Tue Feb 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-6mdk
- Update patch4 with Aceeca meazura device id

* Tue Feb 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-5mdk
- Patch4 : update device id to latest kernel list
- Fix menu

